package entities;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.graphics.OrthographicCamera;
import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.graphics.g2d.Sprite;
import com.badlogic.gdx.graphics.g2d.TextureRegion;
import com.badlogic.gdx.math.Rectangle;
import com.ld58.game.rcr;

import effects.HealthBar;

public class EnemyEngine extends Sprite {// this is a very simple, non animated sprite. Is this the lightest thing I have?
	public int health = 100;
	public int healthMax = 100;
	private TextureRegion main;
	private TextureRegion broken;
	private Texture t1;
	public Color color;
	public Rectangle rect;
	public boolean isBroken;
	private int _sw;// sprite width
	private int _sh;// sprite height
	public HealthBar healthBar;

	public EnemyEngine(float _x, float _y) {
		rect = new Rectangle();
		rect.x = (int) _x;
		rect.y = (int) _y;
		rect.width = 25;
		rect.height = 25;
		_sw = 25;
		_sh = 25;
		healthBar = new HealthBar(_x, _y, _sw, 2);
		// still frames
		t1 = new Texture(Gdx.files.internal("engine.png"));
		main = new TextureRegion(t1, (0 * _sw), (0 * _sh), _sw, _sh);
		broken = new TextureRegion(t1, (1 * _sw), (0 * _sh), _sw, _sh);
		color = Color.WHITE;
		setBounds(0, 0, _sw, _sh);
		setOriginCenter();
		setRegion(main);
	}

	private void update() {
	}

	public TextureRegion getFrame(OrthographicCamera camera, float dt) {
		update();
		return getTextureRegion();
	}

	public TextureRegion getTextureRegion() {
		if (isBroken)
			return broken;
		else
			return main;
	}

	public void render(rcr game, OrthographicCamera camera, float dt) {// hmmm i think it just needs placed before? it gets here.
		game.batch.setColor(color);
		game.batch.draw(getFrame(camera, dt), rect.x, rect.y);
	}

	public void dispose() {
	}
}
